Бывает так, что нужно обновить php 5.2 (в Debian — 5.2.6) до версии 5.3.

Предостерегаю Вас от сторонних репозиториев (дотвеб и прочее). Все делается стандартными средствами.

Поехали.

Для начала меняем sources.list:

vi /etc/apt/sources.list

Заменяем lenny на squeeze. Сохраняем.

Обновляем информацию о пакетах:

apt-get update

Обновляем до версии 5.3

apt-get —reinstall install php5-*

Готово. Если все остальное ПО Вы планируете ставить из lenny репозитория, то изменяем обратно sources.list и обновляем информацию о пакетах.